Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## JavaBeans
Class CoffeePreference_Data

    java.lang.Object
      JavaBeans.CoffeePreference_Data

public class CoffeePreference_Data
extends java.lang.Object

Author:
  student This class is being used as a java bean for storing the coffee preference relating to a customer.

Field Summary
`private java.lang.String` | `deliveryHour`
`private java.lang.String` | `deliveryMinute`
`private java.lang.String` | `description`
`private java.lang.String` | `itemCode`
`private java.lang.String` | `quantity`

Constructor Summary
`CoffeePreference_Data()` This is the constructor for CoffeePreference_Data.java
`CoffeePreference_Data(java.lang.String item, java.lang.String qty, java.lang.String hour, java.lang.String minute)` This is the constructor for CoffeePreference_Data.java

Method Summary
`java.lang.String` | `getDeliveryHour()` Method: getDeliveryHour This method is being used for getting the delivery time - hour field.
`java.lang.String` | `getDeliveryMinute()` This method is being used for getting the delivery time - minute field.
`java.lang.String` | `getDescription()` This method is being used for getting the description field.
`java.lang.String` | `getItemCode()` This method is being used for getting the itemcode field.
`java.lang.String` | `getQuantity()` This method is being used for getting the quantity field.
`void` | `setDeliveryHour(java.lang.String time)` This method is being used for setting the delivery time - hour field.
`void` | `setDeliveryMinute(java.lang.String time)` This method is being used for setting the delivery time - minute field.
`void` | `setDescription(java.lang.String desc)` This method is being used for setting the description field.
`void` | `setItemCode(java.lang.String itemCode)` This method is being used for setting the itemcode field.
`void` | `setQuantity(java.lang.String qty)` This method is being used for setting the quantity field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deliveryHour

    private java.lang.String deliveryHour

### deliveryMinute

    private java.lang.String deliveryMinute

### description

    private java.lang.String description

### itemCode

    private java.lang.String itemCode

### quantity

    private java.lang.String quantity

Constructor Detail

### CoffeePreference_Data

    public CoffeePreference_Data()

  This is the constructor for CoffeePreference_Data.java

### CoffeePreference_Data

    public CoffeePreference_Data(java.lang.String item,
                                 java.lang.String qty,
                                 java.lang.String hour,
                                 java.lang.String minute)

  This is the constructor for CoffeePreference_Data.java

Method Detail

### getDeliveryHour

    public java.lang.String getDeliveryHour()

  Method: getDeliveryHour This method is being used for getting the delivery time - hour field.

  Returns:
    String The hour at which coffee is to be delivered.

### getDeliveryMinute

    public java.lang.String getDeliveryMinute()

  This method is being used for getting the delivery time - minute field.

  Returns:
    String The minute at which the coffee is to be delivered.

### getDescription

    public java.lang.String getDescription()

  This method is being used for getting the description field.

  Returns:
    String Coffee description.

### getItemCode

    public java.lang.String getItemCode()

  This method is being used for getting the itemcode field.

  Returns:
    String Coffee item code.

### getQuantity

    public java.lang.String getQuantity()

  This method is being used for getting the quantity field.

  Returns:
    String The preferred quantity.

### setDeliveryHour

    public void setDeliveryHour(java.lang.String time)

  This method is being used for setting the delivery time - hour field.

  Parameters:
    `time` - The hour at which coffee is to be delivered.
  Returns:
    void

### setDeliveryMinute

    public void setDeliveryMinute(java.lang.String time)

  This method is being used for setting the delivery time - minute field.

  Parameters:
    `time` - The minute at which coffee is to be delivered.
  Returns:
    void

### setDescription

    public void setDescription(java.lang.String desc)

  This method is being used for setting the description field.

  Parameters:
    `desc` - Coffee description.
  Returns:
    void

### setItemCode

    public void setItemCode(java.lang.String itemCode)

  This method is being used for setting the itemcode field.

  Parameters:
    `itemCode` - Coffee item code.
  Returns:
    void

### setQuantity

    public void setQuantity(java.lang.String qty)

  This method is being used for setting the quantity field.

  Parameters:
    `qty` - The preferred quantity.
  Returns:
    void

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD